VersionAnyMatcher Struct Referenceabstract
Inheritance diagram for VersionAnyMatcher:
[legend]
Collaboration diagram for VersionAnyMatcher:
[legend]

## Public Member Functions

bool | operator() (pkgCache::GrpIterator const &) override
bool | operator() (pkgCache::VerIterator const &Ver) override=0
bool | operator() (pkgCache::PkgIterator const &Pkg) override

## Member Function Documentation

## operator()() [1/3]

bool operator() | ( | pkgCache::GrpIterator const & |  | ) |

inline override virtual

Implements Matcher.

## operator()() [2/3]

bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |

inline override virtual

Implements Matcher.

## operator()() [3/3]

bool operator() | ( | pkgCache::VerIterator const & | Ver | ) |

override pure virtual

Implements Matcher.

The documentation for this struct was generated from the following file:

- apt-pkg/cachefilter-patterns.h